BP_SEQPART(1p)

NAME
bp_seqpart.pl - Takes one or more sequence files and splits them into a number of load balanced files.

USAGE
 bp_seqpart.pl -n <NUM_PARTS> [-h, -p <PREFIX>, -f <FORMAT>, -o <OUT_DIR>] <FILES...>

   -n number of files to create through partitioning
   -h this help message
   -p prefix for all FASTA file names output, files are of the form <outdir>/<prefix>#.<format>
   -f format of the files, defaults to FASTA but you can specify anything supported by SeqIO from BioPerl
   -o output directory where to dump the split sequence files

DESCRIPTION
Script wrapping SeqIO that allows partitioning of multiple sequence files into near equal sized parts for later parallel processing. Even if you have 10 input files outputting to 10 files will balance the files to contain similar total length of sequence. ID's are ignored when deciding on how to balance each sequence.

AUTHOR
Matt Oates - mattoates+support@gmail.com

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  https://github.com/bioperl/bioperl-live/issues

EDIT HISTORY
2012-04-03 - Matt Oates
    First features added.

DEPENDANCY Getopt::Long Used to parse command line options. Pod::Usage Used for usage and help output. Bio::SeqIO Used to cut up sequences and parse FASTA.